## ignition-plugin 1.2.1

=== test/integration/CMakeLists.txt ===
# This is to make test_config.h visible
include_directories("${CMAKE_BINARY_DIR}")

ign_get_sources(tests)

ign_build_tests(
  TYPE INTEGRATION
  SOURCES ${tests}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}-loader
  TEST_LIST test_targets)

foreach(test ${test_targets})

  foreach(plugin_target
      IGNBadPluginAlign
      IGNBadPluginAPIVersionNew
      IGNBadPluginAPIVersionOld
      IGNBadPluginNoInfo
      IGNBadPluginSize
      IGNDummyPlugins
      IGNFactoryPlugins
      IGNTemplatedPlugins)

    target_compile_definitions(${test} PRIVATE
      "${plugin_target}_LIB=\"$<TARGET_FILE:${plugin_target}>\"")

  endforeach()

endforeach()

foreach(test
    INTEGRATION_EnablePluginFromThis_TEST
    INTEGRATION_factory
    INTEGRATION_plugin
    INTEGRATION_WeakPluginPtr)

  if(TARGET ${test})
    target_link_libraries(${test} ${DL_TARGET})
  endif()

endforeach()

=== debian/changelog ===
ignition-plugin (1.2.1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 24 Sep 2021 15:17:04 -0700

ignition-plugin (1.2.1~pre1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.1~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:58:09 -0700

ignition-plugin (1.2.0-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 18:20:31 -0700

ignition-plugin (1.2.0~pre1-1~buster) buster; urgency=medium

  * ignition-plugin 1.2.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:05:07 -0700

ignition-plugin (1.1.0-1~buster) buster; urgency=medium

  * ignition-plugin 1.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 21 Nov 2019 18:08:34 -0800

=== debian/control ===
Source: ignition-plugin
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev (>= 2.8.0),
               python3,
               ruby-ronn
Vcs-Browser: https://bitbucket.org/ignitionrobotics/ign-plugin-release
Vcs-Hg: https://bitbucket.org/ignitionrobotics/ign-plugin-release
Homepage: https://bitbucket.org/ignitionrobotics/ign-plugin

Package: libignition-plugin
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Shared library

Package: libignition-plugin-dev
Architecture: any
Section: libdevel
Depends: libignition-plugin (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.8.0),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Development files

Package: libignition-plugin-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-plugin (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

.PHONY: override_dh_auto_configure \
        override_dh_strip \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_strip:
	dh_strip -a --dbg-package=libignition-plugin-dbg

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),armhf)
	true
else
	dh_auto_test $@ --no-parallel --buildsystem=cmake
endif

## ignition-plugin 1.2.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
	sed -i -e 's:STRIP_FROM_PATH[[:space:]]*=:STRIP_FROM_PATH = ../..:g' obj-$(DEB_BUILD_GNU_TYPE)/api.dox
	sed -i -e 's:STRIP_FROM_PATH[[:space:]]*=:STRIP_FROM_PATH = ../..:g' obj-$(DEB_BUILD_GNU_TYPE)/api_tagfile.dox

override_dh_auto_install:
	dh_auto_install
	mv obj-$(DEB_BUILD_GNU_TYPE)/doxygen/html debian/tmp/html
	# Remove CURDIR from tag files to make reprotest happy
	sed -i -e 's:$(CURDIR)/::g' debian/tmp/usr/share/ignition/ignition-plugin*/ignition-plugin*.tag.xml

%:
	dh $@

## ignition-plugin 1.2.1+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-plugin1 VERSION 1.2.1)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)
set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================

# No project-specific options yet for ign-plugin

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find libdl
ign_find_package(DL
  REQUIRED_BY loader
  PRIVATE_FOR loader
  PRETTY libdl PURPOSE "Required for loading plugins")


#--------------------------------------
# Find ignition-tools
find_program(IGN_TOOLS_PROGRAM ign)


#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS loader register)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  )

=== core/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "tests" variable
ign_get_libsources_and_unittests(sources tests)

# Create the library target
ign_create_core_library(
  SOURCES ${sources}
  CXX_STANDARD 17)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC ignition-cmake${IGN_CMAKE_VER}::utilities)

# Build the unit tests
ign_build_tests(
  TYPE UNIT
  SOURCES ${tests})


add_subdirectory(include/ignition/plugin)

=== doc/CMakeLists.txt ===

message(AUTHOR_WARNING "Need to add docs!")

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

project(examples)

# Find the ignition-plugin library
find_package(ignition-plugin1 QUIET REQUIRED COMPONENTS all)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})
find_package(ignition-common2 QUIET)
set(IGN_COMMON_VER ${ignition-common2_VERSION_MAJOR})
if(NOT ignition-common2_FOUND)
  find_package(ignition-common3 QUIET)
  set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})
endif()
if(NOT ignition-common2_FOUND AND NOT ignition-common3_FOUND)
  find_package(ignition-common4 QUIET REQUIRED)
  set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})
endif()

find_package(ignition-math5 QUIET)
set(IGN_MATH_VER ${ignition-math5_VERSION_MAJOR})
if(NOT ignition-math5_FOUND)
  find_package(ignition-math6 QUIET REQUIRED)
  set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})
endif()

add_subdirectory(plugins)

file(GLOB example_files "*.cc")
list(SORT example_files)

find_package(Boost COMPONENTS program_options)
if(NOT Boost_PROGRAM_OPTIONS_FOUND)
  message(STATUS "Could not find Boost::program_options. Some examples might "
                 "have a reduced set of features available.")
endif()

foreach(example_file ${example_files})

  get_filename_component(example ${example_file} NAME_WE)

  add_executable(${example} ${example_file})

  target_link_libraries(${example}
    PRIVATE
      ignition-plugin${IGN_PLUGIN_VER}::loader
      ignition-common${IGN_COMMON_VER}::core
      ignition-math${IGN_MATH_VER}::core
  )

  # This is only needed for the examples that use plugins, but it doesn't hurt
  # to set it for all the examples.
  target_compile_definitions(${example}
    PRIVATE
      "IGN_PLUGIN_EXAMPLES_LIBDIR=\"${PLUGIN_LIBDIR}\"")

  if(Boost_PROGRAM_OPTIONS_FOUND)
    target_link_libraries(${example} PRIVATE ${Boost_PROGRAM_OPTIONS_LIBRARIES})
    target_include_directories(${example} PRIVATE Boost_INCLUDE_DIRS)
    target_compile_definitions(${example} PRIVATE "HAVE_BOOST_PROGRAM_OPTIONS=1")
  endif()

endforeach()

=== loader/CMakeLists.txt ===

# Collect source files into the "sources" variable and unit test files into the
# "tests" variable
ign_get_libsources_and_unittests(sources tests)

# Disable ign_TEST if ignition-tools is not found
if (MSVC OR NOT IGN_TOOLS_PROGRAM)
  list(REMOVE_ITEM tests src/ign_TEST.cc)
endif()

# Create the library target
ign_add_component(loader
  SOURCES ${sources}
  GET_TARGET_NAME loader)

target_link_libraries(${loader}
  PUBLIC ignition-cmake${IGN_CMAKE_VER}::utilities
  PRIVATE ${DL_TARGET})

ign_build_tests(
  TYPE UNIT
  SOURCES ${tests}
  LIB_DEPS ${loader}
  TEST_LIST test_targets)

foreach(test ${test_targets})

  target_compile_definitions(${test} PRIVATE
    "IGN_PLUGIN_LIB=\"$<TARGET_FILE:${PROJECT_LIBRARY_TARGET_NAME}>\"")

  target_compile_definitions(${test} PRIVATE
    "IGN_PLUGIN_SOURCE_DIR=\"${PROJECT_SOURCE_DIR}\"")

  target_compile_definitions(${test} PRIVATE
    "IGNDummyPlugins_LIB=\"$<TARGET_FILE:IGNDummyPlugins>\"")

  target_compile_definitions(${test} PRIVATE
    "IGN_PATH=\"${IGN_TOOLS_PROGRAM}\"")

  target_compile_definitions(${test} PRIVATE
    "IGN_VERSION_FULL=\"${PROJECT_VERSION_FULL}\"")

endforeach()

if(TARGET UNIT_ign_TEST)
  set(_env_vars)
  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")

  set_tests_properties(UNIT_ign_TEST PROPERTIES
    ENVIRONMENT "${_env_vars}")
endif()

install(
  DIRECTORY include/
  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

#============================================================================
# ign command line support
#============================================================================
add_subdirectory(conf)
add_subdirectory(src)

=== register/CMakeLists.txt ===

ign_add_component(register INTERFACE)

install(
  DIRECTORY include/
  DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== test/CMakeLists.txt ===
include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set_property(TARGET gtest_main PROPERTY CXX_STANDARD ${c++standard})
set_property(TARGET gtest PROPERTY CXX_STANDARD ${c++standard})
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

execute_process(COMMAND cmake -E remove_directory ${CMAKE_BINARY_DIR}/test_results)
execute_process(COMMAND cmake -E make_directory ${CMAKE_BINARY_DIR}/test_results)
include_directories(${GTEST_INCLUDE_DIRS})

add_subdirectory(integration)
add_subdirectory(static_assertions)
add_subdirectory(plugins)

=== examples/plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

# Each source file in this directory is meant to be compiled into a plugin

file(GLOB plugin_files "*.cc")
list(SORT plugin_files)

foreach(plugin_file ${plugin_files})

  get_filename_component(plugin ${plugin_file} NAME_WE)

  add_library(${plugin} SHARED ${plugin_file})

  target_link_libraries(${plugin}
    PRIVATE
      ignition-plugin${IGN_PLUGIN_VER}::register
      ignition-math${IGN_MATH_VER}::core)

  # All these libraries will go into the same directory, so it's sufficient for
  # us to grab the last one.
  set(PLUGIN_LIBDIR "$<TARGET_FILE_DIR:${plugin}>" PARENT_SCOPE)

endforeach()

=== loader/conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/ruby/ignition/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: plugin1.yaml
configure_file(
  "${IGN_DESIGNATION}.yaml.in"
    "${CMAKE_BINARY_DIR}/test/conf/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: plugin1.yaml
configure_file(
  "${IGN_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${IGN_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

=== loader/src/CMakeLists.txt ===
# Command line support.
if(NOT WIN32)
  add_subdirectory(cmd)
endif()

=== test/performance/CMakeLists.txt ===
ign_get_sources(tests)

# plugin_specialization test causes lcov to hang
# see ign-cmake issue 25
if("${CMAKE_BUILD_TYPE_UPPERCASE}" STREQUAL "COVERAGE")
  list(REMOVE_ITEM tests
    plugin_specialization.cc)
endif()

ign_build_tests(
  TYPE PERFORMANCE
  SOURCES ${tests}
  LIB_DEPS
    ${PROJECT_LIBRARY_TARGET_NAME}-loader
   TEST_LIST test_targets)

foreach(test ${test_targets})
  target_compile_definitions(${test} PRIVATE
    "IGNDummyPlugin_LIB=\"$<TARGET_FILE:IGNDummyPlugins>\"")
endforeach()

=== test/plugins/CMakeLists.txt ===
add_library(IGNBadPluginAlign         SHARED BadPluginAlign.cc)
add_library(IGNBadPluginAPIVersionNew SHARED BadPluginAPIVersionNew.cc)
add_library(IGNBadPluginAPIVersionOld SHARED BadPluginAPIVersionOld.cc)
add_library(IGNBadPluginNoInfo        SHARED BadPluginNoInfo.cc)
add_library(IGNBadPluginSize          SHARED BadPluginSize.cc)
add_library(IGNFactoryPlugins         SHARED FactoryPlugins.cc)
add_library(IGNTemplatedPlugins       SHARED TemplatedPlugins.cc)

add_library(IGNDummyPlugins SHARED
  DummyPlugins.cc
  DummyPluginsOtherTranslationUnit.cc)

# Create a variable for the name of the header which will contain the dummy plugin path.
# This variable gets put in the cache so that it is available at generation time.
foreach(plugin_target
    IGNBadPluginAlign
    IGNBadPluginAPIVersionNew
    IGNBadPluginAPIVersionOld
    IGNBadPluginNoInfo
    IGNBadPluginSize
    IGNDummyPlugins
    IGNFactoryPlugins
    IGNTemplatedPlugins)

  target_link_libraries(${plugin_target} PRIVATE
    ${PROJECT_LIBRARY_TARGET_NAME}-register)

endforeach()

=== debian/changelog ===
ignition-plugin (1.2.1+ds-1) unstable; urgency=medium

  * New upstream version 1.2.1+ds
  * Move package under the scope of science-team

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 07 Feb 2022 22:17:50 +0000

ignition-plugin (1.2.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #992365)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 18 Aug 2021 18:00:47 +0000

=== debian/control ===
Source: ignition-plugin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               doxygen,
               libignition-cmake-dev,
               libgtest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ignition-plugin
Vcs-Git: https://salsa.debian.org/science-team/ignition-plugin.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/plugin

Package: libignition-plugin1-1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Shared library
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the shared library

Package: libignition-plugin-dev
Architecture: any
Section: libdevel
Depends: libignition-plugin1-1 (= ${binary:Version}),
         libignition-cmake-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Development files
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the development files

=== debian/tests/control ===
Tests: build
Depends: @, build-essential, cmake

## ignition-plugin 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-plugin1 VERSION 1.2.1)
+project(ignition-plugin1 VERSION 1.3.0)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.13.0 REQUIRED)
 set(IGN_CMAKE_VER ${ignition-cmake2_VERSION_MAJOR})
 
 #============================================================================
@@ -21,6 +21,12 @@
 #============================================================================
 
 # No project-specific options yet for ign-plugin
+
+if (UNIX AND NOT APPLE)
+  set (EXTRA_TEST_LIB_DEPS stdc++fs)
+else()
+  set (EXTRA_TEST_LIB_DEPS)
+endif()
 
 #============================================================================
 # Search for project-specific dependencies
@@ -37,8 +43,11 @@
 
 #--------------------------------------
 # Find ignition-tools
+# Find if command is available. This is used to enable tests.
+# Note that CLI files are installed regardless of whether the dependency is
+# available during build time
 find_program(IGN_TOOLS_PROGRAM ign)
-
+set(IGN_TOOLS_VER 1)
 
 #============================================================================
 # Configure the build

=== loader/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,9 @@
 ign_build_tests(
   TYPE UNIT
   SOURCES ${tests}
-  LIB_DEPS ${loader}
+  LIB_DEPS
+    ${loader}
+    ${EXTRA_TEST_LIB_DEPS}
   TEST_LIST test_targets)
 
 foreach(test ${test_targets})
@@ -44,7 +46,7 @@
 
 if(TARGET UNIT_ign_TEST)
   set(_env_vars)
-  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf")
+  list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>")
 
   set_tests_properties(UNIT_ign_TEST PROPERTIES
     ENVIRONMENT "${_env_vars}")

=== debian/changelog ===
ignition-plugin (1.3.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 16:53:22 -0700

ignition-plugin (1.2.1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 24 Sep 2021 15:17:03 -0700

ignition-plugin (1.2.1~pre1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.1~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 10 Sep 2021 09:58:09 -0700

ignition-plugin (1.2.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 30 Mar 2021 18:20:31 -0700

ignition-plugin (1.2.0~pre1-1~focal) focal; urgency=medium

  * ignition-plugin 1.2.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 Mar 2021 10:05:07 -0700

ignition-plugin (1.1.0-1~focal) focal; urgency=medium

  * ignition-plugin 1.1.0-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 21 Nov 2019 18:08:34 -0800

=== debian/control ===
Source: ignition-plugin
Standards-Version: 3.9.4
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: extra
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               doxygen,
               libignition-cmake2-dev (>= 2.8.0),
               python3,
               ruby-ronn
Vcs-Browser: https://github.com/gazebosim/gz-plugin
Vcs-Git: https://github.com/gazebosim/gz-plugin.git
Homepage: https://github.com/gazebosim/gz-plugin

Package: libignition-plugin
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Plugin Library - Shared library
 Gazebo Plugin is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the shared library

Package: libignition-plugin-dev
Architecture: any
Section: libdevel
Depends: libignition-plugin (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.8.0),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Plugin Library - Development files
 Gazebo Plugin is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the development files

Package: libignition-plugin-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
     libignition-plugin (= ${binary:Version}),
     ${misc:Depends}
Multi-Arch: same
Description: Gazebo Plugin Library - Debugging symbols
 Gazebo Plugin is a component in the Gazebo framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains debugging symbols

Package: libgz-plugin
Depends: libignition-plugin, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-plugin-dev
Depends: libignition-plugin-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-plugin-dbg
Depends: libignition-plugin-dbg, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/gazebosim/gz-plugin/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz

## ignition-plugin 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-plugin1 VERSION 1.3.0)
+project(ignition-plugin1 VERSION 1.4.0)
 
 #============================================================================
 # Find ignition-cmake
@@ -14,7 +14,10 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/plugin
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
@@ -71,4 +74,3 @@
   API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
   TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
   )
-

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -16,5 +16,4 @@
   TYPE UNIT
   SOURCES ${tests})
 
-
-add_subdirectory(include/ignition/plugin)
+add_subdirectory(include)

=== loader/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # "tests" variable
 ign_get_libsources_and_unittests(sources tests)
 
-# Disable ign_TEST if ignition-tools is not found
+# Disable gz_TEST if ignition-tools is not found
 if (MSVC OR NOT IGN_TOOLS_PROGRAM)
-  list(REMOVE_ITEM tests src/ign_TEST.cc)
+  list(REMOVE_ITEM tests src/gz_TEST.cc)
 endif()
 
 # Create the library target
@@ -44,11 +44,11 @@
 
 endforeach()
 
-if(TARGET UNIT_ign_TEST)
+if(TARGET UNIT_gz_TEST)
   set(_env_vars)
   list(APPEND _env_vars "IGN_CONFIG_PATH=${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>")
 
-  set_tests_properties(UNIT_ign_TEST PROPERTIES
+  set_tests_properties(UNIT_gz_TEST PROPERTIES
     ENVIRONMENT "${_env_vars}")
 endif()

=== core/include/CMakeLists.txt ===
add_subdirectory(gz/plugin)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== loader/conf/CMakeLists.txt ===
# Used only for internal testing.
set(ign_library_path "${CMAKE_BINARY_DIR}/test/lib/$<CONFIG>/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate a configuration file for internal testing.
# Note that the major version of the library is included in the name.
# Ex: plugin1.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml.configured" @ONLY)

file(GENERATE
  OUTPUT "${CMAKE_BINARY_DIR}/test/conf/$<CONFIG>/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml"
  INPUT "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml.configured")

# Used for the installed version.
set(ign_library_path "${CMAKE_INSTALL_PREFIX}/lib/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}")

# Generate the configuration file that is installed.
# Note that the major version of the library is included in the name.
# Ex: plugin1.yaml
configure_file(
  "${GZ_DESIGNATION}.yaml.in"
  "${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml" @ONLY)

# Install the yaml configuration files in an unversioned location.
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.yaml
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/ignition/)

# Tack version onto and install the bash completion script
configure_file(
  "plugin.bash_completion.sh"
    "${CMAKE_CURRENT_BINARY_DIR}/plugin${PROJECT_VERSION_MAJOR}.bash_completion.sh" @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/plugin${PROJECT_VERSION_MAJOR}.bash_completion.sh
  DESTINATION
    ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/gz/gz${IGN_TOOLS_VER}.completion.d)

=== loader/src/CMakeLists.txt ===
# Command line support.
add_subdirectory(cmd)

=== loader/src/cmd/CMakeLists.txt ===
#===============================================================================
# Generate the ruby script for internal testing.
# Note that the major version of the library is included in the name.
# Ex: cmdplugin1.rb
set(cmd_script_generated_test "${CMAKE_BINARY_DIR}/test/lib/$<CONFIG>/ruby/ignition/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured_test "${CMAKE_CURRENT_BINARY_DIR}/test_cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb.configured")

# Set the library_location variable to the full path of the library file within
# the build directory.
set(library_location "$<TARGET_FILE:${loader}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured_test}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated_test}"
  INPUT  "${cmd_script_configured_test}")


#===============================================================================
# Used for the installed version.
# Generate the ruby script that gets installed.
# Note that the major version of the library is included in the name.
# Ex: cmdplugin1.rb
set(cmd_script_generated "${CMAKE_CURRENT_BINARY_DIR}/$<CONFIG>/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb")
set(cmd_script_configured "${CMAKE_CURRENT_BINARY_DIR}/cmd${GZ_DESIGNATION}${PROJECT_VERSION_MAJOR}.rb.configured")

# Set the library_location variable to the relative path to the library file
# within the install directory structure.
set(library_location "../../../${CMAKE_INSTALL_LIBDIR}/$<TARGET_FILE_NAME:${loader}>")

configure_file(
  "cmd${GZ_DESIGNATION}.rb.in"
  "${cmd_script_configured}"
  @ONLY)

file(GENERATE
  OUTPUT "${cmd_script_generated}"
  INPUT  "${cmd_script_configured}")

# Install the ruby command line library in an unversioned location.
install(FILES ${cmd_script_generated} DESTINATION lib/ruby/ignition)

=== debian/changelog ===
ignition-plugin (1.4.0-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.4.0-1 release

 -- Michael Carroll <michael@openrobotics.org>  Fri, 11 Nov 2022 09:21:15 -0600

ignition-plugin (1.3.0-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 15 Aug 2022 16:53:22 -0700

ignition-plugin (1.2.1+osrf-1~jammy) jammy; urgency=medium

  * ignition-plugin 1.2.1+osrf-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 03 Mar 2022 21:09:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: ignition-plugin
-Standards-Version: 3.9.4
 Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
 Priority: extra
 Build-Depends: cmake,
-               debhelper (>= 7.0.50~),
+               debhelper (>= 11),
                doxygen,
-               libignition-cmake2-dev (>= 2.8.0),
+               libignition-cmake2-dev (>= 2.13.0)  | libignition-cmake-dev (>= 2.13.0),
                python3,
                ruby-ronn
 Vcs-Browser: https://github.com/gazebosim/gz-plugin
 Vcs-Git: https://github.com/gazebosim/gz-plugin.git
+Standards-Version: 4.5.1
 Homepage: https://github.com/gazebosim/gz-plugin
 
 Package: libignition-plugin
@@ -18,6 +18,8 @@
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libignition-plugin1-1  (>= 1.2.1+ds1)
+Replaces: libignition-plugin1-1  (>= 1.2.1+ds1)
 Multi-Arch: same
 Description: Gazebo Plugin Library - Shared library
  Gazebo Plugin is a component in the Gazebo framework, a set of libraries
@@ -29,7 +31,7 @@
 Architecture: any
 Section: libdevel
 Depends: libignition-plugin (= ${binary:Version}),
-         libignition-cmake2-dev (>= 2.8.0),
+         libignition-cmake2-dev (>= 2.13.0),
          ${misc:Depends}
 Multi-Arch: same
 Description: Gazebo Plugin Library - Development files

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

.PHONY: override_dh_auto_configure \
        override_dh_strip \
        override_dh_auto_test

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_strip:
	dh_strip -a --dbg-package=libignition-plugin-dbg

override_dh_auto_install:
	dh_auto_install
	mv obj-$(DEB_BUILD_GNU_TYPE)/doxygen/html debian/tmp/html

## ignition-plugin 1.4.0%2Bds

=== debian/changelog ===
ignition-plugin (1.4.0+ds-1~revyos1) bullseye; urgency=medium

  * Release for RevyOS riscv64

 -- CHEN Xuan <chenxuan@iscas.ac.cn>  Wed, 22 May 2024 17:21:55 +0800

ignition-plugin (1.4.0+ds-1) unstable; urgency=medium

  [ Jose Luis Rivero ]
  * New upstream version 1.4.0+ds
  * Rediff patches
  * Update standards to 4.6.2 (no change)
  * Add patch for bash-completion file
  * Add patch to avoid the installation of CMakeLists.txt

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 Sep 2023 11:00:04 +0000

## ignition-plugin 1.4.0+ds

=== debian/control ===
Source: ignition-plugin
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               doxygen,
               libignition-cmake-dev,
               libgtest-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/ignition-plugin
Vcs-Git: https://salsa.debian.org/science-team/ignition-plugin.git
Rules-Requires-Root: no
Homepage: http://ignitionrobotics.org/libs/plugin

Package: libignition-plugin1-1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ignition-tools
Multi-Arch: same
Description: Ignition Robotics Plugin Library - Shared library
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the shared library

Package: libignition-plugin-dev
Architecture: any
Section: libdevel
Depends: libignition-plugin1-1 (= ${binary:Version}),
         libignition-cmake-dev,
         ${misc:Depends}
Description: Ignition Robotics Plugin Library - Development files
 Ignition Plugin is a component in the ignition framework, a set of libraries
 designed to rapidly develop robot applications.
 .
 Package contains the development files

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
    dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,repacksuffix=+ds \
    https://github.com/ignitionrobotics/ign-plugin/tags \
		(?:.*?/)@PACKAGE@.*_(\d[\d.]*)\.tar\.gz
